package com.zhaohaoting.framework.abs.adapter;

import android.content.Context;

import java.util.List;

/**
 * author：Created by zhaohaoting on 2019/2/27
 * email：526309416@qq.com
 * desc：
 */
public abstract class ListToAdapter<DATA, BASE_DATA extends List<DATA>> extends AbsRecyclerAdapter<DATA, BASE_DATA> {

    public ListToAdapter(Context context) {
        super(context);
    }

    public ListToAdapter(Context context, BASE_DATA data) {
        super(context, data);
    }

    /**
     * 如果数据原 Base_data不是列表则需要重写此方法
     *
     * @param dataList
     * @param isRefresh
     */
    @Override
    public void notifyDataChanged(BASE_DATA dataList, boolean isRefresh) {
        if (isRefresh) {
            mDataList.clear();
        }
        if (dataList != null) {
            mDataList.addAll(dataList);
        }
        notifyDataSetChanged();
    }

    /**
     * 如果 BASE_DATA不是列表 需要重写此方法
     *
     * @return
     */
    @Override
    public BASE_DATA getData() {
        return (BASE_DATA) mDataList;
    }

}
